This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 446657 - smbclient truncates last character of filenames of a 2.2.3a server
smbclient truncates last character of filenames of a 2.2.3a server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 443047
  Show dependency treegraph
 
Reported: 2008-05-15 11:15 EDT by Alexis Deruelle
Modified: 2009-07-14 13:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:31:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
samba-client -d10 output (14.32 KB, application/octet-stream)
2008-05-15 11:21 EDT, Alexis Deruelle
no flags Details
Patch going into upstream (779 bytes, patch)
2008-10-16 14:57 EDT, Jeremy Allison
no flags Details | Diff

  None (edit)
Description Alexis Deruelle 2008-05-15 11:15:15 EDT
Description of problem:

smbclient truncates last character of file names of a 2.2.3a server

Version-Release number of selected component (if applicable):

client : FC9 / samba-client-3.2.0-1.pre3.9.fc9.i386
server : unknown OS / samba 2.2.3a

How reproducible:

Steps to Reproduce:

Connect and browse with smbclient

[user@client ~]$ smbclient -N -E \\\\server\\share
Domain=[UNIXDOMAIN] OS=[Unix] Server=[Samba 2.2.3a]
smb: \> dir
  
Actual results:
                                      D        0  Thu May 15 09:00:09 2008
  .                                   D        0  Thu May 15 16:44:05 2008
  dir                                 D        0  Thu May 15 16:43:02 2008
  dir                                 D        0  Thu May 15 16:44:02 2008
  dir                                 D        0  Thu May 15 16:00:11 2008
  directory                           D        0  Thu May 15 15:14:12 2008
  directory                           D        0  Thu May 15 16:17:04 2008
  directory                           D        0  Thu May 15 16:00:18 2008
  anotherone                          D        0  Thu May 15 16:44:05 2008

		47520 blocks of size 1048576. 13615 blocks available

Expected results:
                                      D        0  Thu May 15 09:00:09 2008
  .                                   D        0  Thu May 15 16:44:05 2008
  dir1                                D        0  Thu May 15 16:43:02 2008
  dir2                                D        0  Thu May 15 16:44:02 2008
  dir3                                D        0  Thu May 15 16:00:11 2008
  directory1                          D        0  Thu May 15 15:14:12 2008
  directory2                          D        0  Thu May 15 16:17:04 2008
  directory3                          D        0  Thu May 15 16:00:18 2008
  anotherone                          D        0  Thu May 15 16:44:05 2008

		47520 blocks of size 1048576. 13615 blocks available

Additional info:

Problem after FC8->FC9 upgrade, worked fine with samba-client-3.0.28a-0.fc8.i386.rpm
Comment 1 Alexis Deruelle 2008-05-15 11:21:22 EDT
Created attachment 305499 [details]
samba-client -d10 output
Comment 2 Masafumi Fujimaru 2008-05-16 14:41:36 EDT
I cannot browse samba share NAS in Nautilas for the same reason.
Here is my workaround for this issue:

--- samba-3.2.0pre3/source/lib/charcnv.c	2008-04-25 21:13:01.000000000 +0900
+++ samba-3.2.0pre3.new/source/lib/charcnv.c	2008-05-17 02:25:54.000000000 +0900
@@ -1206,8 +1206,8 @@
 
 	if (dest_len && dest) {
 		/* Did we already process the terminating zero ? */
-		if (dest[dest_len-1] != 0) {
-			dest[dest_len-1] = 0;
+		if (dest[dest_len] != 0) {
+			dest[dest_len] = 0;
 		}
 	} else if (dest) {
 		dest[0] = 0;
Comment 3 Johannes Erdfelt 2008-06-24 17:48:04 EDT
I've run into the same problem. I can confirm the patch posted in comment #2
fixes the problem, but I can't vouch for the correctness of it although it does
appear correct.

FWIW, the problem still exists with 3.2.0-1.rc1.15.fc9.
Comment 4 Jeremy Allison 2008-10-16 14:57:19 EDT
Created attachment 320594 [details]
Patch going into upstream

This is the patch going into upstream.

There was some code in pull_ucs2_base_talloc() to cope with this case which hadn't been added to pull_ascii_base_talloc(). The older Samba returns non unicode names which is why you are seeing this codepath being executed.

Jeremy.
Comment 5 Bug Zapper 2009-06-09 20:51:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:31:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.